summaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorAdam Langley <agl@chromium.org>2013-02-06 15:50:42 +0000
committerDr. Stephen Henson <steve@openssl.org>2013-02-06 16:12:49 +0000
commit6351adecb4726476def5f5ad904a7d2e63480d53 (patch)
treed596f7754aae09decbefa2cddf5249f26e158246 /test
parent8964efc413f281a6cacaa83c1c642e8a531613ba (diff)
Fix for EXP-RC2-CBC-MD5
MD5 should use little endian order. Fortunately the only ciphersuite affected is EXP-RC2-CBC-MD5 (TLS_RSA_EXPORT_WITH_RC2_CBC_40_MD5) which is a rarely used export grade ciphersuite. (cherry picked from commit ee463921ed94572b97a5e1fa8c4d88a27099347e)
Diffstat (limited to 'test')
-rw-r--r--test/testssl17
1 files changed, 17 insertions, 0 deletions
diff --git a/test/testssl b/test/testssl
index 8ac90ae5ee..4c7584a95c 100644
--- a/test/testssl
+++ b/test/testssl
@@ -119,6 +119,23 @@ $ssltest -bio_pair -server_auth -client_auth $CA $extra || exit 1
echo test sslv2/sslv3 with both client and server authentication via BIO pair and app verify
$ssltest -bio_pair -server_auth -client_auth -app_verify $CA $extra || exit 1
+echo "Testing ciphersuites"
+for protocol in SSLv3; do
+ echo "Testing ciphersuites for $protocol"
+ for cipher in `../util/shlib_wrap.sh ../apps/openssl ciphers "RSA+$protocol" | tr ':' ' '`; do
+ echo "Testing $cipher"
+ prot=""
+ if [ $protocol == "SSLv3" ] ; then
+ prot="-ssl3"
+ fi
+ $ssltest -cipher $cipher $prot
+ if [ $? -ne 0 ] ; then
+ echo "Failed $cipher"
+ exit 1
+ fi
+ done
+done
+
#############################################################################
if ../util/shlib_wrap.sh ../apps/openssl no-dh; then